Loading...
Searching...
No Matches
squash_ff.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2008,2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_WAVELET_SQUASH_FF_H
#define INCLUDED_WAVELET_SQUASH_FF_H
#include <gnuradio/sync_block.h>
#include <gnuradio/wavelet/api.h>
namespace gr {
namespace wavelet {
/*!
* \brief Implements cheap resampling of spectrum directly from
* spectral points, using gsl interpolation
* \ingroup misc
*/
class WAVELET_API squash_ff : virtual public sync_block
{
public:
// gr::wavelet::squash_ff::sptr
typedef std::shared_ptr<squash_ff> sptr;
/*!
* \param igrid
* \param ogrid
*/
static sptr make(const std::vector<float>& igrid, const std::vector<float>& ogrid);
};
} /* namespace wavelet */
} /* namespace gr */
#endif
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
gr::wavelet::squash_ff
Implements cheap resampling of spectrum directly from spectral points, using gsl interpolation.
Definition squash_ff.h:26
gr::wavelet::squash_ff::sptr
std::shared_ptr< squash_ff > sptr
Definition squash_ff.h:29
gr::wavelet::squash_ff::make
static sptr make(const std::vector< float > &igrid, const std::vector< float > &ogrid)
api.h
WAVELET_API
#define WAVELET_API
Definition gr-wavelet/include/gnuradio/wavelet/api.h:18
gr::wavelet
Definition squash_ff.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h